%define name perl-PGP-GPG-MessageProcessor
%define realname PGP-GPG-MessageProcessor
%define version 0.4.5
%define release 2mdk

Name:		%{name}
Summary:	Perl module that supplies object methods for interacting with GnuPG
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
This module provides an interface to the encryption/decryption/signing/
verifying methods of GNU Privacy Gaurd.  It does not provide keyring
manipulation.

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING  MANIFEST NEWS  README  TODO
#%{_prefix}/lib/perl5/site_perl/*/i386-linux/auto/PGP/GPG/MessageProcessor/.packlist
%{_prefix}/lib/perl5/site_perl/*/PGP/GPG/MessageProcessor.pm
%{_prefix}/lib/perl5/man/man3/PGP::GPG::MessageProcessor.3*


%changelog
* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- macros

* Wed Jun 21 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.4.5-1mdk
- initial specfile
- bzip sources
